TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ForAll ( func pred, list l ) -> elt-alg^boo

### Description

<shortdoc> Return true iff every member of `l' suffices the predicate function `pred'.
Note: Apparently `pred' must have `-> elt-alg^boo' out-signature. </shortdoc>

### Examples

ForAll(IsPrime,[1..100]);
ForAll(IsEven,[2,4,6,8,100]);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack